libzypp: zypp::base::logger::Loglinebuf Class Reference

libzypp 17.25.10

Public Member Functions | Private Member Functions | Private Attributes | List of all members
zypp::base::logger::Loglinebuf Class Reference
Inheritance diagram for zypp::base::logger::Loglinebuf:
[legend]

## Public Member Functions
| Loglinebuf (const std::string &group_r, LogLevel level_r)
| ~Loglinebuf ()
void | tagSet (const char *fil_r, const char *fnc_r, int lne_r)

## Private Member Functions
virtual std::streamsize | xsputn (const char *s, std::streamsize n)
virtual int | overflow (int ch=EOF)
virtual int | writeout (const char *s, std::streamsize n)

## Private Attributes
std::string | _group
LogLevel | _level
const char * | _file
const char * | _func
int | _line
std::string | _buffer

## Detailed Description

Definition at line 165 of file LogControl.cc.

## Constructor & Destructor Documentation

## ◆ Loglinebuf()

zypp::base::logger::Loglinebuf::Loglinebuf | ( | const std::string & | group_r,
|  | LogLevel | level_r
| ) |  |
| inline

Definition at line 169 of file LogControl.cc.

## ◆ ~Loglinebuf()

zypp::base::logger::Loglinebuf::~Loglinebuf | ( |  | ) |
| inline

Definition at line 177 of file LogControl.cc.

## Member Function Documentation

## ◆ tagSet()

void zypp::base::logger::Loglinebuf::tagSet | ( | const char * | fil_r,
|  | const char * | fnc_r,
|  | int | lne_r
| ) |  |
| inline

Definition at line 184 of file LogControl.cc.

## ◆ xsputn()

virtual std::streamsize zypp::base::logger::Loglinebuf::xsputn | ( | const char * | s,
|  | std::streamsize | n
| ) |  |
| inlineprivatevirtual

Definition at line 193 of file LogControl.cc.

## ◆ overflow()

virtual int zypp::base::logger::Loglinebuf::overflow | ( | int | ch = `EOF` | ) |
| inlineprivatevirtual

Definition at line 196 of file LogControl.cc.

## ◆ writeout()

virtual int zypp::base::logger::Loglinebuf::writeout | ( | const char * | s,
|  | std::streamsize | n
| ) |  |
| inlineprivatevirtual

Definition at line 206 of file LogControl.cc.

## Member Data Documentation

## ◆ _group

std::string zypp::base::logger::Loglinebuf::_group
| private

Definition at line 231 of file LogControl.cc.

## ◆ _level

LogLevel zypp::base::logger::Loglinebuf::_level
| private

Definition at line 232 of file LogControl.cc.

## ◆ _file

const char* zypp::base::logger::Loglinebuf::_file
| private

Definition at line 233 of file LogControl.cc.

## ◆ _func

const char* zypp::base::logger::Loglinebuf::_func
| private

Definition at line 234 of file LogControl.cc.

## ◆ _line

int zypp::base::logger::Loglinebuf::_line
| private

Definition at line 235 of file LogControl.cc.

## ◆ _buffer

std::string zypp::base::logger::Loglinebuf::_buffer
| private

Definition at line 236 of file LogControl.cc.

The documentation for this class was generated from the following file:

- zypp/base/LogControl.cc